# class SvnUpdater

### Constants

REVISION_PATTERN
TRUNK_URL

### Public Instance Methods

is_installed?() click to toggle source

    # File lib/common/updater/svn_updater.rb, line 9
    def is_installed?
      %x[svn info "#@repo_directory" --xml 2>&1] =~ /revision=/ ? true : false
    end

local_revision_number() click to toggle source

    # File lib/common/updater/svn_updater.rb, line 13
    def local_revision_number
      local_revision = %x[svn info "#@repo_directory" --xml 2>&1]
      local_revision[REVISION_PATTERN, 1].to_s
    end

update() click to toggle source

    # File lib/common/updater/svn_updater.rb, line 18
    def update
      %x[svn up "#@repo_directory"]
    end